Bug 754191 - Review Request: gnome-search-tool - Utility for finding files for GNOME
Summary: Review Request: gnome-search-tool - Utility for finding files for GNOME
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-15 16:41 UTC by Anuj More
Modified: 2019-02-28 12:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2019-02-28 12:06:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Anuj More 2011-11-15 16:41:59 UTC
Spec URL: http://fedorapeople.org/~anujmore/pkgs/gnome-search-tool.spec

SRPM URL: http://fedorapeople.org/~anujmore/pkgs/gnome-search-tool-3.3.1-1.fc16.src.rpm

Description: GNOME Search Tool is a utility for finding files on your system. To perform a basic search, you can type a filename or a partial filename, with or without wildcards. To refine your search, you can apply additional search options.

GNOME Search Tool uses the find, grep, and locate UNIX commands. Since the find, grep, and locate commands support the -i option, all searches are case-insensitive.

Comment 1 Matthias Clasen 2011-11-16 00:52:29 UTC
Doesn't build in mock, due to a bunch of missing BuildRequires.

intltool
glib2-devel
gtk3-devel
gconf2-devel
gnome-doc-utils

probably more.

Looking briefly at the spec:

rm -rf $RPM_BUILD_ROOT in %install is no longer necessary

%post and %postun scriptlets for the gconf schemas are missing

%doc files such as AUTHORS COPYING README should be added to the file listing

Comment 2 Anuj More 2011-11-16 14:43:35 UTC
Spec and SRPM updated to fit in asked details.

Cleaner code. Built on mock.
No errors on rpmlint either. :)

Comment 3 Rahul Sundaram 2011-11-17 19:53:20 UTC
Please build using koji scratch build and post the url.

Comment 4 Rahul Sundaram 2011-11-17 19:54:03 UTC
Also, whenever you updated the spec, you should bump up the release, build the srpm and post the new url instead of updating in place.

Comment 5 Anuj More 2011-11-18 03:11:29 UTC
That didn't take much time:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3523061

Comment 6 Matthias Clasen 2011-12-21 13:09:45 UTC
Sorry for taking so long to getting back to this...

Builds fine in mock now. Here's the rpmlint output:

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/gnome-search-tool-*.rpm
gnome-search-tool.src: W: spelling-error %description -l en_US filename -> file name, file-name, filament
gnome-search-tool.src: W: spelling-error %description -l en_US wildcards -> wild cards, wild-cards, wildcatters
gnome-search-tool.x86_64: W: spelling-error %description -l en_US filename -> file name, file-name, filament
gnome-search-tool.x86_64: W: spelling-error %description -l en_US wildcards -> wild cards, wild-cards, wildcatters
gnome-search-tool.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/gnome-search-tool.schemas
gnome-search-tool.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-search-tool-3.3.1/COPYING.docs
gnome-search-tool.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-search-tool-3.3.1/COPYING
gnome-search-tool.x86_64: W: dangerous-command-in-%pre rm
gnome-search-tool.x86_64: W: dangerous-command-in-%post rm
gnome-search-tool-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-search-tool-3.3.1/libgnomeui-deprecated/gsearchtool-entry.h
gnome-search-tool-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-search-tool-3.3.1/libgnomeui-deprecated/gsearchtool-entry.c
gnome-search-tool-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-search-tool-3.3.1/libeggsmclient/eggdesktopfile.c
gnome-search-tool-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-search-tool-3.3.1/src/gsearchtool-support.c
gnome-search-tool-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-search-tool-3.3.1/src/gsearchtool.h
gnome-search-tool-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-search-tool-3.3.1/src/gsearchtool-support.h
gnome-search-tool-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-search-tool-3.3.1/libeggsmclient/eggdesktopfile.h
gnome-search-tool-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-search-tool-3.3.1/src/gsearchtool.c
gnome-search-tool-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-search-tool-3.3.1/src/gsearchtool-callbacks.h
gnome-search-tool-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-search-tool-3.3.1/src/gsearchtool-callbacks.c
3 packages and 0 specfiles checked; 12 errors, 7 warnings.

All of these are fine

Comment 7 Matthias Clasen 2011-12-21 13:22:11 UTC
package name: ok
spec file name: ok
packaging guidelines:
 - given that there is not gsettings schema in the package, the
   glib-compile-schemas calls in %postun/%posttrans are pointless and
   should be removed
 - packaging ABOUT-NLS is not really useful, I'd leave that out
package license: ok
license field:
 - the license field should be "GPLv2+ and GFDL", I think. All the sources
   have an 'or later' clause, and the docs are under the fdl
license file: ok
spec language: ok
spec readable: ok
upsteram sources: ok
buildable: ok
ExludeArch: ok
BuildRequires: ok
locale handling: ok
ldconfig: ok
system libs: ok
relocatable: ok
directory ownership:
 - looks like you need to own /usr/share/pixmaps/gsearchtool
duplicate files: ok
file permissions: ok
macro use: ok
large docs: ok
%doc content: ok
header files: ok
static libs: ok
shared libs: ok
devel package: ok
libtool archives: ok
desktop files: ok
duplicate ownership: ok
utf8 filenames: ok


summary: a few things to fix

Comment 9 Matthias Clasen 2012-03-07 11:53:30 UTC
Looks good now. Approved

One small improvement you could still make is to use the GConf macros:
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GConf

But you can do that when building the package, since it is approved.

Comment 10 Rui Matos 2012-03-07 16:44:33 UTC
New Package SCM Request
=======================
Package Name: gnome-search-tool
Short Description: Utility for finding files for GNOME
Owners: rtcm
Branches: 
InitialCC:

Comment 11 Gwyn Ciesla 2012-03-07 16:50:17 UTC
Git done (by process-git-requests).

Comment 12 Rui Matos 2012-03-12 12:50:25 UTC
Package Change Request
======================
Package Name: gnome-search-tool
New Branches: f17
Owners: rtcm

Comment 13 Gwyn Ciesla 2012-03-12 13:00:19 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2012-03-13 10:16:32 UTC
gnome-search-tool-3.3.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-search-tool-3.3.1-4.fc17

Comment 15 Fedora Update System 2012-03-13 17:10:15 UTC
gnome-search-tool-3.3.1-4.fc17 has been pushed to the Fedora 17 testing repository.

Comment 16 Fedora Update System 2012-03-16 13:57:48 UTC
gnome-search-tool-3.3.1-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-search-tool-3.3.1-5.fc17

Comment 17 Kamil Páral 2019-02-28 12:06:02 UTC
The package is in Fedora, I believe this should be closed.


Note You need to log in before you can comment on or make changes to this bug.